GETGID(2)

NAME
getgid, getegid - get group identity

SYNOPSIS
#include <unistd.h>

gid_t getgid(void);
gid_t getegid(void);

DESCRIPTION
getgid returns the real group ID of the current process. getegid returns the effective group ID of the current process. The real ID corresponds to the ID of the calling process. The effective ID corresponds to the set ID bit on the file being executed.

ERRORS
These functions are always successful.

CONFORMING TO
POSIX, BSD 4.3

SEE ALSO
setregid(2), setgid(2)